RpfFrameEntry (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.rpf
Class RpfFrameEntry

    java.lang.Object
      com.bbn.openmap.layer.rpf.RpfFrameEntry

    public class RpfFrameEntry

extends java.lang.Object

The RpfFrameEntry is a description of a RPF frame file that can be used to quickly gain status about the frame. It is mainly created by the table of contents handler (RpfTocHandler), and passed, in an array of brothers in a RpfTocEntry, to the cache handler. The cache handler will use the RpfTocEntry to figure out which frames are needed to get the subframes it wants, and the RpfFrameEntry supplies information to assist in loading that frame file.

Field Summary
`boolean` | `exists` Whether the file exists or not.
`short` | `filenameIndex` Index of the start of the frame file.
`java.lang.String` | `framePath` Real path to the frame file.
`short` | `rpfdirIndex` Index to the start of the RPF directory in the name.

Constructor Summary
`RpfFrameEntry()`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### exists

    public boolean exists

  Whether the file exists or not.

### framePath

    public java.lang.String framePath

  Real path to the frame file.

### filenameIndex

    public short filenameIndex

  Index of the start of the frame file. To get the frame name, call framePath.substring(filenameIndex).

### rpfdirIndex

    public short rpfdirIndex

  Index to the start of the RPF directory in the name. To get the RPF directory without the following slash, call framePath.substring(0, rpfdirIndex + 2). Use 3 to get the slash. You can use this index + 3 as the startIndex to get the relative path to the file from the RPF dir, without the slash.

  If this index is -1, that means that the complete pathname was specified in the OpenMap-generated A.TOC file, and you'll have to do a search for the last RPF instance yourself to get that index.

Constructor Detail

### RpfFrameEntry

    public RpfFrameEntry()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details